<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: RTDM_SerialPort.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_r_t_d_m___serial_port_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">RTDM_SerialPort.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_r_t_d_m___serial_port_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// %flair:license{</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">// This file is part of the Flair framework distributed under the</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">// CECILL-C License, Version 1.0.</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">// %flair:license}</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"></span><span class="preprocessor">#ifndef RTDM_SERIALPORT_H</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#define RTDM_SERIALPORT_H</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_serial_port_8h.html">SerialPort.h</a>&gt;</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceflair.html">flair</a> {</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="keyword">namespace </span>core {</div>
<div class="line"><a name="l00027"></a><span class="lineno"><a class="line" href="classflair_1_1core_1_1_r_t_d_m___serial_port.html">   27</a></span>&#160;<span class="keyword">class </span><a class="code" href="classflair_1_1core_1_1_r_t_d_m___serial_port.html">RTDM_SerialPort</a> : <span class="keyword">public</span> <a class="code" href="classflair_1_1core_1_1_serial_port.html">SerialPort</a> {</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;  <a class="code" href="classflair_1_1core_1_1_r_t_d_m___serial_port.html#a93fe0bd5ea18afcc5d57b7be1f053bad">RTDM_SerialPort</a>(<span class="keyword">const</span> <a class="code" href="classflair_1_1core_1_1_object.html">Object</a> *parent, std::string port_name,</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;                  std::string device);</div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;  <a class="code" href="classflair_1_1core_1_1_r_t_d_m___serial_port.html#a5f2f993bc612dd68b5f19cd41a9135cc">~RTDM_SerialPort</a>();</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_r_t_d_m___serial_port.html#ad0e57407f0a2cad1b20ac7339d3b554a">SetBaudrate</a>(<span class="keywordtype">int</span> baudrate);</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_r_t_d_m___serial_port.html#ad86eb870ed2544e957f8e6c31d35aa5d">SetRxTimeout</a>(<a class="code" href="namespaceflair_1_1core.html#acc0fa041e08ecf73b2d1d723c339a736">Time</a> timeout_ns);</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;</div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;  ssize_t <a class="code" href="classflair_1_1core_1_1_r_t_d_m___serial_port.html#a8a24c53a26ec9492ef7f68b5f297b15c">Write</a>(<span class="keyword">const</span> <span class="keywordtype">void</span> *buf, <span class="keywordtype">size_t</span> nbyte);</div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;</div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;  ssize_t <a class="code" href="classflair_1_1core_1_1_r_t_d_m___serial_port.html#abb4f3486983680b83430ed6af52e156b">Read</a>(<span class="keywordtype">void</span> *buf, <span class="keywordtype">size_t</span> nbyte);</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;</div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_r_t_d_m___serial_port.html#aecb9d6d453e2ded90598d9332d03d7e8">FlushInput</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;</div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;<span class="keyword">private</span>:</div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;  <span class="keywordtype">int</span> fd;</div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;};</div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;} <span class="comment">// end namespace core</span></div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;} <span class="comment">// end namespace flair</span></div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;</div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;<span class="preprocessor">#endif // RTDM_SERIALPORT_H</span></div>
<div class="ttc" id="classflair_1_1core_1_1_r_t_d_m___serial_port_html_a8a24c53a26ec9492ef7f68b5f297b15c"><div class="ttname"><a href="classflair_1_1core_1_1_r_t_d_m___serial_port.html#a8a24c53a26ec9492ef7f68b5f297b15c">flair::core::RTDM_SerialPort::Write</a></div><div class="ttdeci">ssize_t Write(const void *buf, size_t nbyte)</div><div class="ttdoc">Write datas. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_object_html"><div class="ttname"><a href="classflair_1_1core_1_1_object.html">flair::core::Object</a></div><div class="ttdoc">Base class for all Framework&#39;s classes. </div><div class="ttdef"><b>Definition:</b> Object.h:83</div></div>
<div class="ttc" id="namespaceflair_html"><div class="ttname"><a href="namespaceflair.html">flair</a></div><div class="ttdoc">namespace of the flair Framework </div><div class="ttdef"><b>Definition:</b> Ahrs.h:19</div></div>
<div class="ttc" id="classflair_1_1core_1_1_r_t_d_m___serial_port_html_ad0e57407f0a2cad1b20ac7339d3b554a"><div class="ttname"><a href="classflair_1_1core_1_1_r_t_d_m___serial_port.html#ad0e57407f0a2cad1b20ac7339d3b554a">flair::core::RTDM_SerialPort::SetBaudrate</a></div><div class="ttdeci">void SetBaudrate(int baudrate)</div><div class="ttdoc">Set baudrate. </div></div>
<div class="ttc" id="namespaceflair_1_1core_html_acc0fa041e08ecf73b2d1d723c339a736"><div class="ttname"><a href="namespaceflair_1_1core.html#acc0fa041e08ecf73b2d1d723c339a736">flair::core::Time</a></div><div class="ttdeci">unsigned long long Time</div><div class="ttdoc">Time definition, in ns. </div><div class="ttdef"><b>Definition:</b> Object.h:55</div></div>
<div class="ttc" id="classflair_1_1core_1_1_r_t_d_m___serial_port_html_a93fe0bd5ea18afcc5d57b7be1f053bad"><div class="ttname"><a href="classflair_1_1core_1_1_r_t_d_m___serial_port.html#a93fe0bd5ea18afcc5d57b7be1f053bad">flair::core::RTDM_SerialPort::RTDM_SerialPort</a></div><div class="ttdeci">RTDM_SerialPort(const Object *parent, std::string port_name, std::string device)</div><div class="ttdoc">Constructor. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_serial_port_html"><div class="ttname"><a href="classflair_1_1core_1_1_serial_port.html">flair::core::SerialPort</a></div><div class="ttdoc">Base class for serial port. </div><div class="ttdef"><b>Definition:</b> SerialPort.h:25</div></div>
<div class="ttc" id="classflair_1_1core_1_1_r_t_d_m___serial_port_html_a5f2f993bc612dd68b5f19cd41a9135cc"><div class="ttname"><a href="classflair_1_1core_1_1_r_t_d_m___serial_port.html#a5f2f993bc612dd68b5f19cd41a9135cc">flair::core::RTDM_SerialPort::~RTDM_SerialPort</a></div><div class="ttdeci">~RTDM_SerialPort()</div><div class="ttdoc">Destructor. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_r_t_d_m___serial_port_html"><div class="ttname"><a href="classflair_1_1core_1_1_r_t_d_m___serial_port.html">flair::core::RTDM_SerialPort</a></div><div class="ttdoc">Class for real time serial port using RTDM. </div><div class="ttdef"><b>Definition:</b> RTDM_SerialPort.h:27</div></div>
<div class="ttc" id="classflair_1_1core_1_1_r_t_d_m___serial_port_html_abb4f3486983680b83430ed6af52e156b"><div class="ttname"><a href="classflair_1_1core_1_1_r_t_d_m___serial_port.html#abb4f3486983680b83430ed6af52e156b">flair::core::RTDM_SerialPort::Read</a></div><div class="ttdeci">ssize_t Read(void *buf, size_t nbyte)</div><div class="ttdoc">Read datas. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_r_t_d_m___serial_port_html_aecb9d6d453e2ded90598d9332d03d7e8"><div class="ttname"><a href="classflair_1_1core_1_1_r_t_d_m___serial_port.html#aecb9d6d453e2ded90598d9332d03d7e8">flair::core::RTDM_SerialPort::FlushInput</a></div><div class="ttdeci">void FlushInput(void)</div><div class="ttdoc">Flush input datas. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_r_t_d_m___serial_port_html_ad86eb870ed2544e957f8e6c31d35aa5d"><div class="ttname"><a href="classflair_1_1core_1_1_r_t_d_m___serial_port.html#ad86eb870ed2544e957f8e6c31d35aa5d">flair::core::RTDM_SerialPort::SetRxTimeout</a></div><div class="ttdeci">void SetRxTimeout(Time timeout_ns)</div><div class="ttdoc">Set RX timeout. </div></div>
<div class="ttc" id="_serial_port_8h_html"><div class="ttname"><a href="_serial_port_8h.html">SerialPort.h</a></div><div class="ttdoc">Base class for serial port. </div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_33c2ee9b1665499374b4225c427cf176.html">igep</a></li><li class="navelem"><a class="el" href="dir_f1fe274389177bd7e17de7949c4ffada.html">flair-src</a></li><li class="navelem"><a class="el" href="dir_3ef62148cf94871b4b6ee5d6e3a989c1.html">lib</a></li><li class="navelem"><a class="el" href="dir_97265977dbbd48c696782ccac102bad5.html">FlairCore</a></li><li class="navelem"><a class="el" href="dir_6c198461db290ac9abcdd44184573216.html">src</a></li><li class="navelem"><a class="el" href="_r_t_d_m___serial_port_8h.html">RTDM_SerialPort.h</a></li>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:23 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
